#include <QDebug>

#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    m_calendarWidget = new QCalenderColorDateWidget(this);
    ui->mainVerticalLayout->addWidget(m_calendarWidget);

    QObject::connect(m_calendarWidget, SIGNAL(clicked(const QDate&)), this, SLOT(slotCalendarClicked(const QDate&)));
}


MainWindow::~MainWindow()
{
    if (nullptr != m_calendarWidget) {
        delete m_calendarWidget;
    }
    delete ui;
}


void MainWindow::slotCalendarClicked(const QDate& d)
{
    m_calendarWidget->addDays(d);
}
